Bug 76898 - ability to do relative measurements
Summary: ability to do relative measurements
Status: RESOLVED FIXED
Alias: None
Product: kruler
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Mathias Soeken
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-06 22:20 UTC by Giulio Malventi
Modified: 2009-01-10 11:37 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Giulio Malventi 2004-03-06 22:20:30 UTC
Version:            (using KDE KDE 3.2.0)
Installed from:    Gentoo Packages

It would be nice if you could measure a distance relatively to the length of the ruler, e.g. 50% (of course if it would be possible to redimension the ruler dragging one of its sides). This is useful if you have to extract data from on-screen graphics.
Comment 1 Ferdinand Gassauer 2004-09-09 23:13:40 UTC
I support this
very oft maps include a scale. it would be nice to grow or shrink kruler to fit to the scale and than pin and rotate kruler to measure a distance between 2 points.
Comment 2 Mathias Soeken 2009-01-10 11:37:27 UTC
SVN commit 908725 by msoeken:

kruler is now able to handle relative scales (in both directions). If you have relative scales you can 
not change the offset. This option is also saved in the settings and is getting restored at program 
start.

BUGS: 76898


 M  +146 -54   klineal.cpp  
 M  +4 -0      klineal.h  
 M  +4 -0      kruler.kcfg  


WebSVN link: http://websvn.kde.org/?view=rev&revision=908725